Subject: Re: tunnel xmit and h.raw

From: Mika Penttilä <[email-masked]>
Date: Fri, 03 Oct 2003 18:49:27 +0300

If skb is shared skb_realloc_headroom() makes a private head, so no 
problem here. Actually the skb_cloned() test seems redundant in this 
context.

--Mika

Julian Anastasov wrote:

>	Hello,
>
>On Fri, 3 Oct 2003, David S. Miller wrote:
>
>  
>
>>>	Is the following change needed? May be yes for all kernels
>>>where the nearest skb_shared checks are actual.
>>>      
>>>
>>There seems to be no end to these kinds of bugs in the tunnel
>>drivers!
>>
>>Didn't we fix a nearly identical set of bugs in the tunnel
>>drivers just a month or two ago?
>>    
>>
>
>	The same place, but this one is special: h.raw is updated
>for us on reallocation but if the skb is shared I do not know if this is
>fatal for the other skb users, we change also their h.raw. But I rely
>on your opinion, may be it is safer with this change.
>
>  
>
>>I'll review this some more tomorrow and unless I find some problem
>>I'll apply your patch.  Thanks a lot.
>>    
>>
>
>Regards
>
>--
>Julian Anastasov <[email-masked]>
>
>
>
>  
>